<script lang="ts">
export default {
  name: 'TechRadar',
}
</script>
<script setup lang="ts"></script>

<template>
  <div class="page">
    <header class="page__header">
      <img class="page__logo" alt="Tech Radar Logo" src="../assets/logo.png" />
      <h1 class="page__title">Tech Radar</h1>
    </header>
    <section class="page__content">
      <div class="square">
        <div class="square__content radars__container">
          <div class="radar radar__adopt">
            <h1 class="radar__title">ADOPT</h1>
            <div class="radar__quadrant-top-right"></div>
            <div class="radar__quadrant-top-left"></div>
            <div class="radar__quadrant-bottom-left"></div>
            <div class="radar__quadrant-bottom-right"></div>
          </div>
          <div class="radar radar__trial">
            <h1 class="radar__title">TRIAL</h1>
            <div class="radar__quadrant-top-right"></div>
            <div class="radar__quadrant-top-left"></div>
            <div class="radar__quadrant-bottom-left"></div>
            <div class="radar__quadrant-bottom-right"></div>
          </div>
          <div class="radar radar__assess">
            <h1 class="radar__title">ASSESS</h1>
            <div class="radar__quadrant-top-right"></div>
            <div class="radar__quadrant-top-left"></div>
            <div class="radar__quadrant-bottom-left"></div>
            <div class="radar__quadrant-bottom-right"></div>
          </div>
          <div class="radar radar__hold">
            <h1 class="radar__title">HOLD</h1>
            <div class="radar__quadrant-top-right"></div>
            <div class="radar__quadrant-top-left"></div>
            <div class="radar__quadrant-bottom-left"></div>
            <div class="radar__quadrant-bottom-right"></div>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>

<style scoped>
header {
  display: grid;
  grid-template-columns: 3rem 1fr;
  grid-template-rows: 3rem;
}

.page__logo {
  width: 3rem;
  aspect-ratio: 1;
  align-self: center;
}

.page__title {
  margin: 0;
  padding-left: 0.5rem;
  align-self: center;
  display: none;
}

.page__content {
  width: 100vw;
  margin: auto;
}

.square {
  width: 100%;
  height: 0;
  padding-top: 100%;
  /* background-color: #ccc; */
  position: relative;
}

.square__content {
  position: absolute;
  top: 0;
  left: 0;
  /* background-color: orange; */
  width: 100%;
  height: 100%;
}

.radars__container {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-template-rows: repeat(7, 1fr);
  grid-column-gap: 0px;
  grid-row-gap: 0px;
  /* background-color: yellow; */
}

.radar {
  border: 2px solid red;
  border-radius: 50%;
  position: relative;
  /* background-color: aqua; */

  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
  grid-column-gap: 0px;
  grid-row-gap: 0px;
}

.radar__adopt {
  grid-area: 4 / 4 / 5 / 5;
  z-index: 40;
}
.radar__trial {
  grid-area: 3 / 3 / 6 / 6;
  z-index: 30;
}
.radar__assess {
  grid-area: 2 / 2 / 7 / 7;
  z-index: 20;
}
.radar__hold {
  grid-area: 1 / 1 / 8 / 8;
  z-index: 10;
}

.radar__title {
  /* background-color: blanchedalmond; */
  text-align: center;
  margin: 0;
  top: 0;
  left: 0;
  width: 100%;
  position: absolute;
}

.radar__quadrant-top-right {
  /* background-color: lightcoral; */
  grid-area: 1 / 2 / 2 / 3;
  border-left: 1px solid red;
  border-bottom: 1px solid red;
}

.radar__quadrant-top-left {
  /* background-color: lightgreen; */
  grid-area: 1 / 1 / 2 / 2;
  border-right: 1px solid red;
  border-bottom: 1px solid red;
}

.radar__quadrant-bottom-left {
  /* background-color: lightskyblue; */
  grid-area: 2 / 1 / 3 / 2;
  border-right: 1px solid red;
  border-top: 1px solid red;
}

.radar__quadrant-bottom-right {
  /* background-color: lightsalmon; */
  grid-area: 2 / 2 / 3 / 3;
  border-left: 1px solid red;
  border-top: 1px solid red;
}

@media only screen and (min-width: 301px) {
  .page__content {
    width: 70vw;
  }
  .page__title {
    display: block;
  }
}
@media only screen and (min-width: 801px) {
  .page__content {
    width: 55vw;
  }
}
@media only screen and (min-width: 1601px) {
  .page__content {
    width: 45vw;
  }
}
@media only screen and (min-width: 2101px) {
  .page__content {
    width: 40vw;
  }
}
</style>
